/*******************************************************************************
* File Name: IO_high.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_IO_high_ALIASES_H) /* Pins IO_high_ALIASES_H */
#define CY_PINS_IO_high_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define IO_high_0			(IO_high__0__PC)
#define IO_high_0_PS		(IO_high__0__PS)
#define IO_high_0_PC		(IO_high__0__PC)
#define IO_high_0_DR		(IO_high__0__DR)
#define IO_high_0_SHIFT	(IO_high__0__SHIFT)
#define IO_high_0_INTR	((uint16)((uint16)0x0003u << (IO_high__0__SHIFT*2u)))

#define IO_high_1			(IO_high__1__PC)
#define IO_high_1_PS		(IO_high__1__PS)
#define IO_high_1_PC		(IO_high__1__PC)
#define IO_high_1_DR		(IO_high__1__DR)
#define IO_high_1_SHIFT	(IO_high__1__SHIFT)
#define IO_high_1_INTR	((uint16)((uint16)0x0003u << (IO_high__1__SHIFT*2u)))

#define IO_high_2			(IO_high__2__PC)
#define IO_high_2_PS		(IO_high__2__PS)
#define IO_high_2_PC		(IO_high__2__PC)
#define IO_high_2_DR		(IO_high__2__DR)
#define IO_high_2_SHIFT	(IO_high__2__SHIFT)
#define IO_high_2_INTR	((uint16)((uint16)0x0003u << (IO_high__2__SHIFT*2u)))

#define IO_high_3			(IO_high__3__PC)
#define IO_high_3_PS		(IO_high__3__PS)
#define IO_high_3_PC		(IO_high__3__PC)
#define IO_high_3_DR		(IO_high__3__DR)
#define IO_high_3_SHIFT	(IO_high__3__SHIFT)
#define IO_high_3_INTR	((uint16)((uint16)0x0003u << (IO_high__3__SHIFT*2u)))

#define IO_high_4			(IO_high__4__PC)
#define IO_high_4_PS		(IO_high__4__PS)
#define IO_high_4_PC		(IO_high__4__PC)
#define IO_high_4_DR		(IO_high__4__DR)
#define IO_high_4_SHIFT	(IO_high__4__SHIFT)
#define IO_high_4_INTR	((uint16)((uint16)0x0003u << (IO_high__4__SHIFT*2u)))

#define IO_high_5			(IO_high__5__PC)
#define IO_high_5_PS		(IO_high__5__PS)
#define IO_high_5_PC		(IO_high__5__PC)
#define IO_high_5_DR		(IO_high__5__DR)
#define IO_high_5_SHIFT	(IO_high__5__SHIFT)
#define IO_high_5_INTR	((uint16)((uint16)0x0003u << (IO_high__5__SHIFT*2u)))

#define IO_high_6			(IO_high__6__PC)
#define IO_high_6_PS		(IO_high__6__PS)
#define IO_high_6_PC		(IO_high__6__PC)
#define IO_high_6_DR		(IO_high__6__DR)
#define IO_high_6_SHIFT	(IO_high__6__SHIFT)
#define IO_high_6_INTR	((uint16)((uint16)0x0003u << (IO_high__6__SHIFT*2u)))

#define IO_high_7			(IO_high__7__PC)
#define IO_high_7_PS		(IO_high__7__PS)
#define IO_high_7_PC		(IO_high__7__PC)
#define IO_high_7_DR		(IO_high__7__DR)
#define IO_high_7_SHIFT	(IO_high__7__SHIFT)
#define IO_high_7_INTR	((uint16)((uint16)0x0003u << (IO_high__7__SHIFT*2u)))

#define IO_high_INTR_ALL	 ((uint16)(IO_high_0_INTR| IO_high_1_INTR| IO_high_2_INTR| IO_high_3_INTR| IO_high_4_INTR| IO_high_5_INTR| IO_high_6_INTR| IO_high_7_INTR))


#endif /* End Pins IO_high_ALIASES_H */


/* [] END OF FILE */
