/*******************************************************************************
* File Name: IO_low.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_IO_low_ALIASES_H) /* Pins IO_low_ALIASES_H */
#define CY_PINS_IO_low_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define IO_low_0			(IO_low__0__PC)
#define IO_low_0_PS		(IO_low__0__PS)
#define IO_low_0_PC		(IO_low__0__PC)
#define IO_low_0_DR		(IO_low__0__DR)
#define IO_low_0_SHIFT	(IO_low__0__SHIFT)
#define IO_low_0_INTR	((uint16)((uint16)0x0003u << (IO_low__0__SHIFT*2u)))

#define IO_low_1			(IO_low__1__PC)
#define IO_low_1_PS		(IO_low__1__PS)
#define IO_low_1_PC		(IO_low__1__PC)
#define IO_low_1_DR		(IO_low__1__DR)
#define IO_low_1_SHIFT	(IO_low__1__SHIFT)
#define IO_low_1_INTR	((uint16)((uint16)0x0003u << (IO_low__1__SHIFT*2u)))

#define IO_low_2			(IO_low__2__PC)
#define IO_low_2_PS		(IO_low__2__PS)
#define IO_low_2_PC		(IO_low__2__PC)
#define IO_low_2_DR		(IO_low__2__DR)
#define IO_low_2_SHIFT	(IO_low__2__SHIFT)
#define IO_low_2_INTR	((uint16)((uint16)0x0003u << (IO_low__2__SHIFT*2u)))

#define IO_low_3			(IO_low__3__PC)
#define IO_low_3_PS		(IO_low__3__PS)
#define IO_low_3_PC		(IO_low__3__PC)
#define IO_low_3_DR		(IO_low__3__DR)
#define IO_low_3_SHIFT	(IO_low__3__SHIFT)
#define IO_low_3_INTR	((uint16)((uint16)0x0003u << (IO_low__3__SHIFT*2u)))

#define IO_low_4			(IO_low__4__PC)
#define IO_low_4_PS		(IO_low__4__PS)
#define IO_low_4_PC		(IO_low__4__PC)
#define IO_low_4_DR		(IO_low__4__DR)
#define IO_low_4_SHIFT	(IO_low__4__SHIFT)
#define IO_low_4_INTR	((uint16)((uint16)0x0003u << (IO_low__4__SHIFT*2u)))

#define IO_low_5			(IO_low__5__PC)
#define IO_low_5_PS		(IO_low__5__PS)
#define IO_low_5_PC		(IO_low__5__PC)
#define IO_low_5_DR		(IO_low__5__DR)
#define IO_low_5_SHIFT	(IO_low__5__SHIFT)
#define IO_low_5_INTR	((uint16)((uint16)0x0003u << (IO_low__5__SHIFT*2u)))

#define IO_low_6			(IO_low__6__PC)
#define IO_low_6_PS		(IO_low__6__PS)
#define IO_low_6_PC		(IO_low__6__PC)
#define IO_low_6_DR		(IO_low__6__DR)
#define IO_low_6_SHIFT	(IO_low__6__SHIFT)
#define IO_low_6_INTR	((uint16)((uint16)0x0003u << (IO_low__6__SHIFT*2u)))

#define IO_low_7			(IO_low__7__PC)
#define IO_low_7_PS		(IO_low__7__PS)
#define IO_low_7_PC		(IO_low__7__PC)
#define IO_low_7_DR		(IO_low__7__DR)
#define IO_low_7_SHIFT	(IO_low__7__SHIFT)
#define IO_low_7_INTR	((uint16)((uint16)0x0003u << (IO_low__7__SHIFT*2u)))

#define IO_low_INTR_ALL	 ((uint16)(IO_low_0_INTR| IO_low_1_INTR| IO_low_2_INTR| IO_low_3_INTR| IO_low_4_INTR| IO_low_5_INTR| IO_low_6_INTR| IO_low_7_INTR))


#endif /* End Pins IO_low_ALIASES_H */


/* [] END OF FILE */
